
Base Distribution - Task # 46321

Work Package # 45013 (Resolved): Flexible plugin integration (TODO: Reviews)

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2013-03-15 Assigned To: Marc Neuhaus
Updated: 2013-10-08 Due date: 2013-04-20
Subject: Plugins with Views should resolve their Links automatically
Description

Through the Concept of Plugins and PluginVIews (#45013) links need to be rewritten to a different PageNode if the current
PluginView/Plugin on this Page isn't supposed to render the Controller/Action that a link it pointing to.

The main goal of this is a simple way to have List/Detail Actions on different PageNodes without to much manual Configuration
hassle.

History
#1 - 2013-03-18 15:06 - Marc Neuhaus
- Subject changed from Plugins with VIews should resolve their LInks automatically to Plugins with Views should resolve their LInks automatically

#2 - 2013-03-18 15:06 - Marc Neuhaus
- Subject changed from Plugins with Views should resolve their LInks automatically to Plugins with Views should resolve their Links automatically

#3 - 2013-03-20 10:40 - Marc Neuhaus
- Assigned To set to Marc Neuhaus

#4 - 2013-04-02 13:19 - Bastian Waidelich
- Due date set to 2013-04-20

#5 - 2013-04-04 13:55 - Marc Neuhaus
- Status changed from New to Under Review

Changeset: https://review.typo3.org/#/c/19513/

#6 - 2013-04-15 11:10 - Marc Neuhaus
- % Done changed from 0 to 90

#7 - 2013-10-08 10:47 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100
